Yaf_View_Simple::render
Yaf_View_Simple::setScriptPath
Yaf_View_Simple
PHP Manual

# Yaf_View_Simple::__set

(Yaf >=1.0.0)

Yaf_View_Simple::__set — Set value to engine

### Beschreibung

public void Yaf_View_Simple::__set ( string `$name` , mixed `$value` )

This is a alternative and easier way to Yaf_View_Simple::assign().

### Parameter-Liste

`name`

  A string value name.

`value`

  Mixed value.

### Rückgabewerte

### Beispiele

Beispiel #1 Yaf_View_Simple::__set()example

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->foo = "bar"; // same as assign("foo", "bar");
}
?>`

### Siehe auch

- Yaf_View_Simple::assignRef() - The assignRef purpose
- Yaf_View_Interface::assign() - Assign value to View engine

Yaf_View_Simple::render
Yaf_View_Simple::setScriptPath
Yaf_View_Simple
PHP Manual